Documentation Index
Fetch the complete documentation index at: https://docs.x.com/llms.txt
Use this file to discover all available pages before exploring further.
title: Edit Tweets keywords: [“edit tweets enterprise”, “enterprise edit tweets”, “edit posts enterprise”, “tweet edits enterprise”, “edit metadata enterprise”] description: Enterprise endpoints have been updated to provide edited Post metadata. The _Edit Posts _feature was first introduced for testing among X employees on S…--- Enterprise endpoints have been updated to provide edited Post metadata. The _Edit Posts _feature was first introduced for testing among X employees on September 1, 2022. Starting on that date, eligible Posts were editable for 30 minutes and up to 5 times. All objects for Posts created since September 29, 2022 include Post edit metadata, even if the Post was never edited. Each time a Posts is edited, a new Post ID is created. A Post’s edit history can be described by chaining these IDs together, starting with the original ID. Additionally, if any Post in the edit chain is deleted, all Posts in that chain are deleted as well. These metadata details are included automatically. No request parameters are needed to include available edit history as part of the Post object. With these new metadata, a developer can find out: * If a Post was edit eligible at the time of creation. Some Posts, such as those with polls or scheduled Posts, cannot be edited. * Posts are editable for 30 minutes, and can be edited up to 5 times. For editable Posts, you can see if time for editing remains and how many more edits are possible. * If you are viewing an edited version of a Post. In most cases, the API will return the most recent version of a Post, unless a specific past version is requested by Post ID. Three new Post attributes have been added at the root level: * edit_history - Provides all Post IDs associated with the edit history of the Post. The “initial_tweet_id” attribute indicates the original Post and the “edit_tweet_ids” attribute is an array that provides all IDs associated with its edit history. If the Post has not been edited, this array will contain a single ID.
"edit_tweet_ids" array has a single ID.
"edit_tweet_ids" array has two IDs, one for the original Post and one for the edited update.